<?php

/*
 * @template  Bootstrap
 * @revised   December 20, 2011
 * @author    digitalnature, http://digitalnature.eu
 * @license   GPL, http://www.opensource.org/licenses/gpl-license
 */

// Template part for anonymous topic/reply form fields.
// For use with the bbPress plugin only.

?>

<?php if(bbp_is_anonymous() || (bbp_is_topic_edit() && bbp_is_topic_anonymous()) || (bbp_is_reply_edit() && bbp_is_reply_anonymous())): ?>

  <?php do_action('bbp_theme_before_anonymous_form'); ?>

  <?php do_action('bbp_theme_anonymous_form_extras_top'); ?>

  <div class="clear-block <?php if($error = $GLOBALS['bbp']->errors->get_error_message('bbp_anonymous_name')) echo 'error'; ?>">
    <label for="bbp_anonymous_name"><?php atom()->te('Your Name:'); ?></label>
    <div class="input">
      <input type="text" id="bbp_anonymous_name" value="<?php bbp_is_topic_edit() ? bbp_topic_author() : bbp_is_reply_edit() ? bbp_reply_author() : bbp_current_anonymous_user_data('name'); ?>" tabindex="<?php bbp_tab_index(); ?>" size="40" name="bbp_anonymous_name" />
      <?php if($error): ?>
      <span class="help-inline"><?php echo $error; ?></span>
      <?php endif; ?>
    </div>
  </div>

  <div class="clear-block <?php if($error = $GLOBALS['bbp']->errors->get_error_message('bbp_anonymous_email')) echo 'error'; ?>">
    <label for="bbp_anonymous_email"><?php atom()->te('E-Mail:'); ?></label>
    <div class="input">
      <input type="text" id="bbp_anonymous_email" value="<?php echo (bbp_is_topic_edit() || bbp_is_reply_edit()) ? get_post_meta($post->ID, '_bbp_anonymous_email', true) : bbp_get_current_anonymous_user_data('email'); ?>" tabindex="<?php bbp_tab_index(); ?>" size="40" name="bbp_anonymous_email" />
      <?php if($error): ?>
      <span class="help-inline"><?php echo $error; ?></span>
      <?php endif; ?>
      <span class="help-block">
        <?php atom()->te('will not be published'); ?>
      </span>
    </div>
  </div>

  <div class="clear-block">
    <label for="bbp_anonymous_website"><?php atom()->te('Website:'); ?></label>
    <div class="input">
      <input type="text" id="bbp_anonymous_website" value="<?php bbp_is_topic_edit() ? bbp_topic_author_url() : bbp_is_reply_edit() ? bbp_reply_author_url() : bbp_current_anonymous_user_data('website'); ?>" tabindex="<?php bbp_tab_index(); ?>" size="40" name="bbp_anonymous_website" />
    </div>
  </div>

  <?php do_action('bbp_theme_anonymous_form_extras_bottom'); ?>

  <?php do_action('bbp_theme_after_anonymous_form'); ?>

<?php endif; ?>
