<?php

/*
 * @template  Bootstrap
 * @revised   December 20, 2011
 * @author    digitalnature, http://digitalnature.eu
 * @license   GPL, http://www.opensource.org/licenses/gpl-license
 *
 * Header template part, used by all pages on the site.
 * Handles the document head, and the page header section (usually main menu, logo, featured content)
 */

?>
<!DOCTYPE html>
<html <?php language_attributes('html'); ?>>

<head>
  <meta charset="<?php bloginfo('charset'); ?>" />

  <title><?php atom()->DocumentTitle(); ?></title>

  <?php atom()->MetaDescription(); ?>
  <?php atom()->Favicon(); ?>

  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

  <!--[if lte IE 7]>
  <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" media="screen" />
  <![endif]-->

  <?php wp_head(); ?>

</head>
<body <?php body_class('no-js no-fx'); // these classes are quickly removed with js in the "before_page" hook below ?>>

  <?php atom()->Action('before_page'); ?>

  <!-- page -->
  <div id="page">

    <?php atom()->Action('top'); ?>

    <div class="top-bar" data-scrollspy="scrollspy">
      <div class="page-content clear-block">
        <?php atom()->Logo('', $tag = 'h6'); ?>
        <nav role="navigation" class="nav-top">
          <?php atom()->Menu($location = 'primary', $classes = 'slide-left', $fallback = 'pageMenu'); ?>
        </nav>
      </div>
    </div>

    <!-- header -->
    <header class="master">
      <div class="inner">
        <div class="page-content clear-block">
          <h1><?php bloginfo('description'); ?></h1>
          <?php /*
          <p class="lead">
            <?php bloginfo('description'); ?>
          </p>
          <p>...</p>
          */ ?>

          <?php atom()->Action('in_header'); ?>

        </div><!-- /container -->
      </div>
    </header>
    <!-- /header -->

    <header class="secondary">
      <?php atom()->Action('before_main'); ?>

      <?php if(atom()->MenuExists('secondary')): ?>
      <section class="sub-head">
        <div class="page-content clear-block">
          <nav role="navigation">
            <?php atom()->Menu($location = 'secondary', $classes = 'slide-left'); ?>
          </nav>
        </div>
      </section>
      <?php endif; ?>
    </header>

    <!-- main -->
    <div id="main" class="page-content clear-block">

       <?php atom()->Action('in_main'); ?>
