<?php

/*
 * @template  Bootstrap
 * @revised   December 20, 2011
 * @author    digitalnature, http://digitalnature.eu
 * @license   GPL, http://www.opensource.org/licenses/gpl-license
 */

// The "page" post type.
// pagename.php, page-slug.php, page-id.php or page-custom_template can override it.

?>

<?php atom()->template('header'); ?>

<!-- main content: primary + sidebar(s) -->
<div id="mask-3" class="clear-block">
  <div id="mask-2">
    <div id="mask-1">

      <!-- primary content -->
      <div id="primary-content">
        <div class="blocks clear-block">

          <?php atom()->action('before_primary'); ?>

          <?php if(have_posts()): ?>
          <div class="posts clear-block">
            <?php while(have_posts()): ?>

            <?php the_post(); ?>

            <?php atom()->action('before_post'); ?>

            <!-- page content -->
            <article id="post-<?php the_ID(); ?>" <?php post_class('primary'); ?>>

              <?php if(!atom()->post->getMeta('hide_title')): ?>
              <h1 class="title"><?php the_title(); ?></h1>
              <?php endif; ?>

              <div class="clear-block">
                <?php the_content(); ?>
              </div>

              <?php atom()->post->paginate(); ?>

              <?php atom()->controls('post-edit'); ?>
            </article>
            <!-- /page content -->

            <?php atom()->action('after_post'); ?>

            <?php endwhile; ?>
          </div>

          <?php atom()->template('meta'); ?>

          <?php else: ?>
          <h1 class="title error"><?php atom()->te('Oops, nothing here :('); ?></h1>
          <?php endif; ?>

          <?php atom()->action('after_primary'); ?>

        </div>
      </div>
      <!-- /primary content -->

      <?php atom()->template('sidebar'); ?>

    </div>
  </div>
</div>
<!-- /main content -->

<?php atom()->template('footer'); ?>
